﻿<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>netcoreapp3.1</TargetFramework>
  </PropertyGroup>

  <ItemGroup>
    <Compile Include="InputImplementation.fs" />
    <Compile Include="OutputImplementation.fs" />
    <Compile Include="HostImplementation.fs" />
    <Compile Include="Host.fs" />
    <Compile Include="CrucibleContext.fs" />
    <Compile Include="HostGame.fs" />
    <Compile Include="Program.fs" />
  </ItemGroup>

  <ItemGroup>
    <Content Include="Content\blank.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Content\romfont8x8.png">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="MonoGame.Framework.DesktopGL" Version="3.8.0.1641" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Splorr.Crucible.Runner\Splorr.Crucible.Runner.fsproj" />
  </ItemGroup>

</Project>
